Open CASCADE Technology: Expr_NamedExpression Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Expr_NamedExpression Class Reference

Describe an expression used by its name (as constants or variables). A single reference is made to a NamedExpression in every Expression (i.e. a NamedExpression is shared). More...

`#include <Expr_NamedExpression.hxx>`

Inheritance diagram for Expr_NamedExpression:
[legend]

## Public Member Functions
const TCollection_AsciiString & | GetName () const
void | SetName (const TCollection_AsciiString &name)
virtual Standard_Boolean | IsShareable () const
| Tests if <me> can be shared by one or more expressions or must be copied. This method redefines to a True value the GeneralExpression method. More...
Standard_Boolean | IsIdentical (const Handle< Expr_GeneralExpression > &Other) const
| Tests if <me> and <Other> define the same expression. This method does not include any simplification before testing. More...
TCollection_AsciiString | String () const
| returns a string representing <me> in a readable way. More...
Public Member Functions inherited from Expr_GeneralExpression
virtual Standard_Integer | NbSubExpressions () const =0
| Returns the number of sub-expressions contained in <me> ( >= 0) More...
virtual const Handle < Expr_GeneralExpression > & | SubExpression (const Standard_Integer I) const =0
| Returns the -th sub-expression of <me> raises OutOfRange if > NbSubExpressions(me) More...
virtual Handle < Expr_GeneralExpression > | Simplified () const =0
| Returns a GeneralExpression after replacement of NamedUnknowns by an associated expression and after values computation. More...
virtual Handle < Expr_GeneralExpression > | ShallowSimplified () const =0
| Returns a GeneralExpression after a simplification of the arguments of <me>. More...
virtual Handle < Expr_GeneralExpression > | Copy () const =0
| Returns a copy of <me> having the same unknowns and functions. More...
virtual Standard_Boolean | ContainsUnknowns () const =0
| Tests if <me> contains NamedUnknowns. More...
virtual Standard_Boolean | Contains (const Handle< Expr_GeneralExpression > &exp) const =0
| Tests if <exp> is contained in <me>. More...
virtual Standard_Boolean | IsLinear () const =0
| Tests if <me> is linear on every NamedUnknown it contains. More...
virtual Handle < Expr_GeneralExpression > | Derivative (const Handle< Expr_NamedUnknown > &X) const =0
| Returns the derivative on <X> unknown of <me> More...
virtual Handle < Expr_GeneralExpression > | NDerivative (const Handle< Expr_NamedUnknown > &X, const Standard_Integer N) const
| Returns the <N>-th derivative on <X> unknown of <me>. Raise OutOfRange if N <= 0. More...
virtual void | Replace (const Handle< Expr_NamedUnknown > &var, const Handle< Expr_GeneralExpression > &with)=0
| Replaces all occurences of with copies of <with> in <me>. Copies of <with> are made with the Copy() method. Raises InvalidOperand if <with> contains <me>. More...
virtual Standard_Real | Evaluate (const Expr_Array1OfNamedUnknown &vars, const TColStd_Array1OfReal &vals) const =0
| Returns the value of <me> (as a Real) by replacement of <vars> by <vals>. Raises NotEvaluable if <me> contains NamedUnknown not in <vars> or NumericError if result cannot be computed. More...
Standard_Real | EvaluateNumeric () const
| Returns the value of <me> (as a Real) by replacement of <vars> by <vals>. Raises NotEvaluable if <me> contains NamedUnknown not in <vars> or NumericError if result cannot be computed. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Describe an expression used by its name (as constants or variables). A single reference is made to a NamedExpression in every Expression (i.e. a NamedExpression is shared).

## Member Function Documentation

const TCollection_AsciiString& Expr_NamedExpression::GetName | ( |  | ) | const

Standard_Boolean Expr_NamedExpression::IsIdentical | ( | const Handle< Expr_GeneralExpression > & | Other | ) | const
| virtual

Tests if <me> and <Other> define the same expression. This method does not include any simplification before testing.

Implements Expr_GeneralExpression.

virtual Standard_Boolean Expr_NamedExpression::IsShareable | ( |  | ) | const
| virtual

Tests if <me> can be shared by one or more expressions or must be copied. This method redefines to a True value the GeneralExpression method.

Reimplemented from Expr_GeneralExpression.

void Expr_NamedExpression::SetName | ( | const TCollection_AsciiString & | name | ) |

TCollection_AsciiString Expr_NamedExpression::String | ( |  | ) | const
| virtual

returns a string representing <me> in a readable way.

Implements Expr_GeneralExpression.

The documentation for this class was generated from the following file:

- Expr_NamedExpression.hxx